--AH:ScriptId=d6dcc649-79fd-4b03-9df1-b1dfb120813b;3192
CREATE TABLE [ChunkedUploads]
(
	[Feed_Id] INT NOT NULL,
	[Upload_Id] VARCHAR(100) NOT NULL,
	[Expected_Length] BIGINT NOT NULL,
	[Started_Date] DATETIME NOT NULL,
	[Part_Size] BIGINT NOT NULL

	CONSTRAINT [PK__ChunkedUploads]
		PRIMARY KEY ([Feed_Id], [Upload_Id]),

	CONSTRAINT [FK__ChunkedUploads__Feeds]
		FOREIGN KEY ([Feed_Id])
		REFERENCES [Feeds] ([Feed_Id])
		ON DELETE CASCADE
)

CREATE TABLE [ChunkedUploadParts]
(
	[Feed_Id] INT NOT NULL,
	[Upload_Id] VARCHAR(100) NOT NULL,
	[Part_Index] INT NOT NULL,
	[Part_Size] BIGINT NOT NULL,
	[Completed_Date] DATETIME NOT NULL,

	CONSTRAINT [PK__ChunkedUploadParts]
		PRIMARY KEY ([Feed_Id], [Upload_Id], [Part_Index]),

	CONSTRAINT [FK__ChunkedUploadParts__ChunkedUploads]
		FOREIGN KEY ([Feed_Id], [Upload_Id])
		REFERENCES [ChunkedUploads] ([Feed_Id], [Upload_Id])
		ON DELETE CASCADE
)
