EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Variables_DeleteVariable',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes a variable.'
GO

IF OBJECT_ID('[Variables_DeleteVariable]') IS NOT NULL DROP PROCEDURE [Variables_DeleteVariable]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Variables_DeleteVariable]
(
	@Variable_Id INT
)
AS
BEGIN

SET NOCOUNT ON

		DELETE FROM [Variables]
		 WHERE [Variable_Id] = @Variable_Id


END
GO

GRANT EXECUTE ON [Variables_DeleteVariable] TO [ProGetUser_Role]
